Necessary MT4 terminal update!

Dear Clients!

On June 1, 2012 the company Metaquotes will stop supporting Metatrader 4 trading terminal below the 416 version (Build 416) completely. Trading and updates on these versions will not be available.

We kindly request you to update your trading terminals by downloading the latest version from our website terminal download page.

If you have any additional questions, please contact Forex4you Customer support by phone (+442071939932), by email ([email protected]) or by LIVE CHAT option.

Yours sincerely,